<?php
require_once("include/dbcommon.php"); // DataBase PHPRunner

/* Session variable
$_SESSION['option_calendar'] valor:  project | user | company | departament | meeting
$_SESSION['language']
$_SESSION['user_id']
$_SESSION['reserve_id']
$_SESSION['login'] 
$_SESSION['email'] 
$_SESSION['username']
$_SESSION['company_id']
$_SESSION['dept_id']
 * ----------------------------------------------
 */


// Require our Event class and datetime utilities
require 'fullcalendar/php/utils.php';

// Short-circuit if the client did not give us a date range.
if (!isset($_GET['start']) || !isset($_GET['end'])) {
  die("Please provide a date range.");
}

// Parse the start/end parameters.
// These are assumed to be ISO8601 strings with no time nor timeZone, like "2013-12-29".
// Since no timeZone will be present, they will parsed as UTC.
$range_start = parseDateTime($_GET['start']);
$range_end = parseDateTime($_GET['end']);

// Parse the timeZone parameter if it is present.

$time_zone ='';
if (isset($_GET['timeZone'])) {
  $time_zone = new DateTimeZone($_GET['timeZone']);
}


$start = substr($_GET['start'],0,10).' 00:00:00'; 
$end   = substr($_GET['end']  ,0,10).' 00:00:00';
$now   = date('Y-m-d H:i:s', strtotime(now(). ' +2 hour')); // now() + 1
if ( $start < $now ) { //  Minimum date of the moment
		$start = $now;
		}

switch ($_SESSION['option_calendar']) {
    case 'reserve':
        $sql = "SELECT idcitations id, citations.short_name name,  reserves.short_name resource, citations.start_date, citations.end_date, reserves.color
		FROM citations
		join reserves on (reserves_idreserves = idreserves)
		where citations.status = 0 and
		reserves_idreserves =" . $_SESSION['reserve_id'] . " and  citations.end_date >= '$start' and citations.start_date < '$end'";
        break;
    case 'company':
        $sql = "SELECT idcitations id, citations.short_name name,  reserves.short_name resource, citations.start_date, citations.end_date, reserves.color
		FROM citations
		join reserves on (reserves_idreserves = idreserves)
    join companies on (reserves.companies_company_id = companies.company_id)
		where citations.status = 0 
		and companies.company_id =" . $_SESSION['company_id'] . " and  citations.end_date >= '$start' and citations.start_date < '$end'";
        break;
    case 'departament':
        $sql = "SELECT idcitations id, citations.short_name name,  reserves.short_name resource, citations.start_date, citations.end_date, reserves.color
		FROM citations
		join reserves on (reserves_idreserves = idreserves)
    join departments on (reserves.departments_dept_id = departments.dept_id)
		where citations.status = 0
		and departments.dept_id =" . $_SESSION['departament_id'] . " and  citations.end_date >= '$start' and citations.start_date < '$end'";
        break;
}
$resql = db_query($sql,$conn);
// Accumulate an output array of event data arrays.
$output_arrays = array();

while ($data = db_fetch_array($resql)){
$output_arrays[] = array(
    'id'=>$data['id'],
    'title'=>$data['name'],
    'resource'=>$data['resource'],
    'start'=>$data['start_date'],
    'end'=>$data['end_date'],
    'color'=>$data['color']);
    }


// Send JSON to the client.
// $str = json_encode($output_arrays);
echo json_encode($output_arrays);

?>